import { GeneratorOptions, Question } from "yeoman-generator";
import { BaseGenerator } from "../shared";
import TypeScriptPackageGenerator from "../typescript-package";
interface RootGeneratorOptions {
    config?: string;
    projectType: GeneratedProjectType;
}
declare enum GeneratedProjectType {
    TypeScriptPackage = "TypeScript Package"
}
export declare class RootGenerator extends BaseGenerator<RootGeneratorOptions> {
    constructor(args: string | string[], options: Partial<RootGeneratorOptions> & GeneratorOptions);
    static getQuestions(): Question<RootGeneratorOptions>[];
    protected configureSubGenerators(): {
        Generator: typeof TypeScriptPackageGenerator;
        path: string;
    }[];
    writing(): void;
}
export {};
//# sourceMappingURL=RootGenerator.d.ts.map